aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests/tools/syslog.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/qemuimage-tests/tools/syslog.sh')
-rw-r--r--scripts/qemuimage-tests/tools/syslog.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/tools/syslog.sh b/scripts/qemuimage-tests/tools/syslog.sh
new file mode 100644
index 0000000000..9154da3b85
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/syslog.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# syslog test script running in qemu
+#
+# Author: veera <veerabrahmamvr@huawei.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+ps aux | grep -w syslogd | grep -v grep
+if [ $? -eq 0 ]; then
+ echo "QEMU: syslogd is running by default"
+ exit 0
+else
+ echo "QEMU: syslogd is not running"
+ exit 1
+fi